Package net.shibboleth.profile.config.navigate

# Class AbstractDefaultSecurityConfigurationLookupFunction<T>

java.lang.Object
net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction<T>
net.shibboleth.profile.config.navigate.AbstractDefaultSecurityConfigurationLookupFunction<T>

Type Parameters:
  `T` - function return type

All Implemented Interfaces:
  `Function<ProfileRequestContext,T>`, `ContextDataLookupFunction<ProfileRequestContext,T>`

Direct Known Subclasses:
  `ClientTLSValidationConfigurationLookupFunction`, `DecryptionConfigurationLookupFunction`, `EncryptionConfigurationLookupFunction`, `IdentifierGenerationStrategyLookupFunction`, `SignatureSigningConfigurationLookupFunction`, `SignatureValidationConfigurationLookupFunction`

public abstract class AbstractDefaultSecurityConfigurationLookupFunction<T> extends AbstractRelyingPartyLookupFunction<T>
Base class for lookup functions that require access to the default security configuration for a profile via the `RelyingPartyConfiguration` interface.

## Constructor Summary

Constructors
Constructor
Description
`AbstractDefaultSecurityConfigurationLookupFunction()`

## Method Summary

Modifier and Type
Method
Description
`protected SecurityConfiguration`
`getDefaultSecurityConfiguration(RelyingPartyConfiguration relyingPartyConfiguration, ProfileRequestContext profileRequestContext)`
Return the default `SecurityConfiguration` for the `RelyingPartyConfiguration`.

### Methods inherited from class net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction

`getRelyingPartyContext, getRelyingPartyContextLookupStrategy, setRelyingPartyContextLookupStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, apply, compose`

## Constructor Details

### AbstractDefaultSecurityConfigurationLookupFunction

public AbstractDefaultSecurityConfigurationLookupFunction()

## Method Details

### getDefaultSecurityConfiguration

@Nullable protected SecurityConfiguration getDefaultSecurityConfiguration(@Nullable RelyingPartyConfiguration relyingPartyConfiguration, @Nullable ProfileRequestContext profileRequestContext)
Return the default `SecurityConfiguration` for the `RelyingPartyConfiguration`.

Parameters:
  `relyingPartyConfiguration` - active relying party configuration, if any
  `profileRequestContext` - current profile request context
Returns:
  the default security configuration